# me.get

> GET https://app.intraface.cc/api/v1/me

An agent token (`Authorization: Bearer ifc_…`) or a signed-in person.

**Auth:** agent token (`Authorization: Bearer ifc_…`) or signed-in session (`__session` cookie)

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "email": {
      "type": [
        "string",
        "null"
      ]
    },
    "name": {
      "type": [
        "string",
        "null"
      ]
    },
    "image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "via": {
      "type": "string",
      "enum": [
        "session",
        "token"
      ]
    },
    "token": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "label": {
              "type": "string"
            },
            "scopes": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "boards:read",
                  "boards:write",
                  "comments:write"
                ]
              }
            }
          },
          "required": [
            "id",
            "label",
            "scopes"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "onboarding_done": {
      "default": true,
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "email",
    "name",
    "image_url",
    "via",
    "token"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
